com.verisign.epp.codec.registry.v01

## Class EPPRegistryAbstractMinMax

- java.lang.Object
- - com.verisign.epp.codec.registry.v01.EPPRegistryAbstractMinMax

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    EPPRegistryContactCity, EPPRegistryContactName, EPPRegistryContactOrg, EPPRegistryContactPostalCode, EPPRegistryContactStateProvince, EPPRegistryContactStreet, EPPRegistryDomainContact, EPPRegistryDomainHostLimit, EPPRegistryDomainNSLimit, EPPRegistryExternalHost, EPPRegistryInternalHost, EPPRegistryMinMaxLength

      public abstract class EPPRegistryAbstractMinMax
      extends java.lang.Object
      implements EPPCodecComponent

  Abstract base class for defining a complex element that includes `min` and `max` sub-elements.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ELM_MAX` Possible XML Element Name of `max` attribute.
    `protected static java.lang.String` | `ELM_MAX_LENGTH` Possible XML Element Name of `max` attribute.
    `protected static java.lang.String` | `ELM_MIN` Possible XML Element Name of `min` attribute.
    `protected static java.lang.String` | `ELM_MIN_LENGTH` Possible XML Element Name of `min` attribute.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryAbstractMinMax()` Default `EPPRegistryAbstractMinMax` constructor.
    `EPPRegistryAbstractMinMax(java.lang.Integer aMin, java.lang.Integer aMax)` `EPPRegistryAbstractMinMax` that takes both the minimum and maximum values as `Integer`'s.
    `EPPRegistryAbstractMinMax(int aMin, int aMax)` `EPPRegistryAbstractMinMax` that takes both the minimum and maximum values as `int`'s.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryAbstractMinMax`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryAbstractMinMax` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryAbstractMinMax` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryAbstractMinMax` compare.
    `protected abstract java.lang.String` | `getElmMax()` Gets the maximum element local name.
    `protected abstract java.lang.String` | `getElmMin()` Gets the minimum element local name.
    `protected abstract org.apache.log4j.Logger` | `getLogger()` Gets the `Logger` to use.
    `java.lang.Integer` | `getMax()` Gets the maximum value.
    `java.lang.Integer` | `getMin()` Gets the minimum value.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `protected abstract java.lang.String` | `getRootName()` Gets the root element local name.
    `void` | `setMax(java.lang.Integer aMax)` Sets the maximum value.
    `void` | `setMin(java.lang.Integer aMin)` Sets the minimum value.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
    `protected void` | `validateState()` Validate the state of the `EPPRegistryAbstractMinMax` instance.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_MIN_LENGTH

          protected static final java.lang.String ELM_MIN_LENGTH

      Possible XML Element Name of `min` attribute.
      See Also:
        Constant Field Values

    - #### ELM_MAX_LENGTH

          protected static final java.lang.String ELM_MAX_LENGTH

      Possible XML Element Name of `max` attribute.
      See Also:
        Constant Field Values

    - #### ELM_MIN

          protected static final java.lang.String ELM_MIN

      Possible XML Element Name of `min` attribute.
      See Also:
        Constant Field Values

    - #### ELM_MAX

          protected static final java.lang.String ELM_MAX

      Possible XML Element Name of `max` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryAbstractMinMax

          public EPPRegistryAbstractMinMax()

      Default `EPPRegistryAbstractMinMax` constructor.

    - #### EPPRegistryAbstractMinMax

          public EPPRegistryAbstractMinMax(java.lang.Integer aMin,
                                           java.lang.Integer aMax)

      `EPPRegistryAbstractMinMax` that takes both the minimum and maximum values as `Integer`'s.
      Parameters:
        `aMin` - Minimum value
        `aMax` - Maximum value

    - #### EPPRegistryAbstractMinMax

          public EPPRegistryAbstractMinMax(int aMin,
                                           int aMax)

      `EPPRegistryAbstractMinMax` that takes both the minimum and maximum values as `int`'s.
      Parameters:
        `aMin` - Minimum value
        `aMax` - Maximum value

  - ### Method Detail

    - #### getRootName

          protected abstract java.lang.String getRootName()

      Gets the root element local name.
      Returns:
        Root element local name.

    - #### getElmMin

          protected abstract java.lang.String getElmMin()

      Gets the minimum element local name.
      Returns:
        Minimum element local name.

    - #### getElmMax

          protected abstract java.lang.String getElmMax()

      Gets the maximum element local name.
      Returns:
        Maximum element local name.

    - #### getLogger

          protected abstract org.apache.log4j.Logger getLogger()

      Gets the `Logger` to use.
      Returns:
        `Logger` instance to use for logging.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryAbstractMinMax` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryAbstractMinMax` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryAbstractMinMax` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryAbstractMinMax` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryAbstractMinMax` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### validateState

          protected void validateState()
                                throws EPPEncodeException

      Validate the state of the `EPPRegistryAbstractMinMax` instance. A valid state means that all of the required attributes have been set. If validateState returns without an exception, the state is valid. If the state is not valid, the `EPPCodecException` will contain a description of the error.
      Throws:
        `EPPCodecException` - Validation error
        `EPPEncodeException`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryAbstractMinMax`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryAbstractMinMax`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryAbstractMinMax` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryAbstractMinMax` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### getMin

          public java.lang.Integer getMin()

      Gets the minimum value.
      Returns:
        Minimum value if defined; `null` otherwise.

    - #### setMin

          public void setMin(java.lang.Integer aMin)

      Sets the minimum value.
      Parameters:
        `aMin` - Minimum value

    - #### getMax

          public java.lang.Integer getMax()

      Gets the maximum value.
      Returns:
        Maximum value if defined; `null` otherwise.

    - #### setMax

          public void setMax(java.lang.Integer aMax)

      Sets the maximum value.
      Parameters:
        `aMax` - Maximum value

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

Copyright © VeriSign Inc. All Rights Reserved.